%define phpsource       %{_prefix}/src/php-devel
%define _docdir %{_datadir}/doc/%{name}-%{version}
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define release 1mdk

%define realname pcntl
%define modname pcntl
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 57_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	%{phpversion}
Release:	%{release}
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
Requires:	php%{libversion}
BuildRequires:  php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. 
PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, 
you will need to install this package in addition to the php package.

%build
[ -e ./%{dirname} ] && rm -fr ./%{dirname}
cp -dpR %{phpsource}/extensions/%{dirname} .
cd %{dirname}

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
cd %{dirname}
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_docdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

cat > %{buildroot}%{_docdir}/README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

install -m644 README %{buildroot}%{_docdir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ -e ./%{dirname} ] && rm -fr ./%{dirname}

%files 
%defattr(-,root,root)
%doc %{_docdir}
%{phpdir}/extensions/%{soname}
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Wed May 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- initial cooker contrib
